## org.mortbay.jetty.client
Class HttpExchange.ContentExchange

    java.lang.Object
      org.mortbay.jetty.client.HttpExchange
          org.mortbay.jetty.client.HttpExchange.CachedExchange
              org.mortbay.jetty.client.HttpExchange.ContentExchange

Enclosing class:
  HttpExchange

    public static class HttpExchange.ContentExchange

extends HttpExchange.CachedExchange

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.client.HttpExchange
`HttpExchange.CachedExchange, HttpExchange.ContentExchange`

Field Summary

Fields inherited from class org.mortbay.jetty.client.HttpExchange
`STATUS_COMPLETED, STATUS_EXPIRED, STATUS_PARSING_CONTENT, STATUS_PARSING_HEADERS, STATUS_SENDING_REQUEST, STATUS_UNKOWN, STATUS_WAITING_FOR_COMMIT, STATUS_WAITING_FOR_CONNECTION, STATUS_WAITING_FOR_RESPONSE`

Constructor Summary
`HttpExchange.ContentExchange()`

Method Summary
`String` `getResponseContent()`
`protected void` `onResponseContent(Buffer content)`
`protected void` `onResponseHeader(Buffer name, Buffer value)`

Methods inherited from class org.mortbay.jetty.client.HttpExchange.CachedExchange
`getResponseFields, getResponseStatus, onResponseStatus`

Methods inherited from class org.mortbay.jetty.client.HttpExchange

`addRequestHeader, addRequestHeader, getAddress, getMethod, getRequestContent, getRequestContentChunk, getRequestContentSource, getRequestFields, getScheme, getStatus, getURI, getVersion, onConnectionFailed, onException, onExpire, onRequestCommitted, onRequestComplete, onResponseComplete, onResponseHeaderComplete, setAddress, setMethod, setRequestContent, setRequestContentSource, setRequestContentType, setRequestHeader, setRequestHeader, setScheme, setURI, setURL, setVersion, setVersion, toString, waitForStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpExchange.ContentExchange

    public HttpExchange.ContentExchange()

Method Detail

### getResponseContent

    public String getResponseContent()
                              throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

### onResponseHeader

    protected void onResponseHeader(Buffer name,
                                    Buffer value)
                             throws IOException

  Overrides:
    `onResponseHeader` in class `HttpExchange.CachedExchange`
  Throws:
    `IOException`

### onResponseContent

    protected void onResponseContent(Buffer content)
                              throws IOException

  Overrides:
    `onResponseContent` in class `HttpExchange`
  Throws:
    `IOException`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.